Skip to content

List Rules

GET
/rules
curl --request GET \
--url https://example.com/rules

Rules in EVALUATION order, so resolution is visible before it fires.

state
Any of:
string
type
Any of:
string

Successful Response

Media typeapplication/json
Response List Rules Rules Get
Array<object>
RuleOut
object
action
required
Action
string
applied_count
required
Applied Count
integer
id
required
Id
string format: uuid
note
required
Any of:
string
payee_scope
Any of:
string
predicate
required
Predicate
string
priority
required
Priority
integer
state
required
State
string
type
required
Type
string
window_days
required
Any of:
integer

Example generated

[
{
"action": "example",
"applied_count": 1,
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"note": "example",
"payee_scope": "example",
"predicate": "example",
"priority": 1,
"state": "example",
"type": "example",
"window_days": 1
}
]

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string

Example generated

{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}